
kInicio, kJugando, kFinJuego, kEntrenando, kVisorPGNini, kVisorPGNfic, kVisorPGNpas  = range(7)

kSigueApertura, kSigueUsuario, kMalApertura = range(3)

kJugNueva, kJugEntPos, kJugPGN, kJugEntMaq, kJugGM, kJugRemoto, kJugSolo, kJug60, kJugElo, kJugBooks, kJugAperturas = range(11)

kFinNormal, kFinReinicio = range(2)

kGanamos, kGanaRival, kTablas, kTablasRepeticion, kTablas50, kTablasFaltaMaterial, kGanamosTiempo, kGanaRivalTiempo, kTablasAcuerdo, kDesconocido = range(10)

kMoverAdelante,kMoverAtras,kMoverInicio,kMoverFinal,kMoverLibre,kMoverReloj=range(6)

k_terminar,k_nuevapartida,k_entrenamiento,k_opciones,\
k_informacion,k_grabar,k_grabarComo,k_recuperar,k_abandonar,k_reiniciar,k_atras,\
k_aplazar,k_finpartida,k_ent_empezar,k_ent_otro,k_otros,k_pgnFin,k_pgnPaste,\
k_pgnFichero,k_pgnInformacion,k_pgnFicheroRepite,k_pgnNuestroFichero,k_jugadadia,\
k_rendirse,k_tablas,k_libros,\
k_peliculaTerminar,k_peliculaLento,k_peliculaPausa,k_peliculaSeguir,k_peliculaRapido,k_peliculaRepetir,\
k_jugar,k_anterior,k_siguiente,k_trasteros,\
k_ayuda,k_mateNivel,\
k_aceptar,k_cancelar = range( 40 )

kMP_1, kMP_2, kMP_3, kMP_4, kMP_5, kMP_6, kMP_7 = range(7)

kZvalue_pieza, kZvalue_piezaMovimiento = 10, 20

kTutorH, kTutorH2_1, kTutorH1_2, kTutorV=range(4)

kAjustarMejor,kAjustarSuperior,kAjustarSimilar,kAjustarInferior,kAjustarPeor,\
kAjustarNivelAlto,kAjustarNivelMedio,kAjustarNivelBajo,kAjustarSuperiorM,kAjustarSuperiorMM,kAjustarInferiorM,kAjustarInferiorMM=range(12)

def prlkS( *x ) :
    for l in x :
        print l,
def prlk( *x ) :
    for l in x :
        print l,
    print
#--------------------------------------------------------------------------------
#~ prlk( "const debug"*5 )
#~ def debug( ) : # Se pone aqui porque se lanza en todos los ficheros
    #~ import pdb
    #~ pdb.set_trace()
#--------------------------------------------------------------------------------

#--------------------------------------------------------------------------------
def stack():

    prlk( "-"*80 )
    import traceback
    prlk( traceback.format_stack() )
    prlk( "-"*80 )
    for line in traceback.format_stack()[:-1]:
        prlk( line.strip() )

#--------------------------------------------------------------------------------
# def xm(que,valor=None, h=True ):
    # file, line, func, txt = traceback.extract_stack(None, 2)[0]
    # prlk( "****************************************************************************" )
    # prlk( 'File "%(file)s", line %(line)s, in %(func)s :' % locals() )
    # if valor is None :
        # prlk( "[", que,"]", type(que) )
    # else:
        # prlk( que," : [", valor,"]", type(valor) )

    # if h :
        # for file, line, func, txt in traceback.extract_stack(None, 10) :
            # prlk( 'File "%(file)s", line %(line)s, in %(func)s :' % locals() )

